google_fonts 6.1.0 copy "google_fonts: ^6.1.0" to clipboard
google_fonts: ^6.1.0 copied to clipboard

A Flutter package to use fonts from fonts.google.com. Supports HTTP fetching, caching, and asset bundling.

example/lib/main.dart

import 'package:flutter/material.dart';
import 'package:google_fonts_tester/example_font_selection.dart';
import 'package:google_fonts_tester/example_simple.dart';

void main() => runApp(const MyApp());

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData.light(useMaterial3: true),
      home: DefaultTabController(
        animationDuration: Duration.zero,
        length: 2,
        child: Scaffold(
          appBar: AppBar(
            title: const Text('Google Fonts Demo'),
            bottom: const TabBar(
              tabs: <Widget>[
                Tab(text: 'Simple'),
                Tab(text: 'Select a font'),
              ],
            ),
          ),
          body: const TabBarView(
            children: <Widget>[
              ExampleSimple(),
              ExampleFontSelection(),
            ],
          ),
        ),
      ),
    );
  }
}
5388
likes
110
pub points
100%
popularity
screenshot

Publisher

verified publishermaterial.io

A Flutter package to use fonts from fonts.google.com. Supports HTTP fetching, caching, and asset bundling.

Repository (GitHub)
View/report issues
Contributing

Documentation

API reference

License

Apache-2.0 (LICENSE)

Dependencies

crypto, flutter, http, path_provider

More

Packages that depend on google_fonts